#
# ~/.bashrc.kuba
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return

# Convenient helper function
source_existing() {
    [ -f "$1" ] && source "$1"
}

export KRB5_CONFIG=".etcfiles/krb5.conf"
export EDITOR="vim"

alias dotfiles="/usr/bin/git --git-dir=$HOME/.dotfiles.git --work-tree=$HOME"
alias dvim="GIT_WORK_TREE='/home/kuba' GIT_DIR='/home/kuba/.dotfiles.git/' vim"

alias ls='ls --color=auto'

# Source git prompt
source_existing ~/scripts/git-prompt.sh
source_existing ~/.bash_prompt.kuba

# Source lmod module setup
source_existing /usr/share/lmod/lmod/init/profile

case $(hostname) in
    vera* )
        module use "$HOME/.modules.kuba/"
        module load iccifort/2019.5.281
        module load impi/2018.5.288
        module load imkl/2019.5.281
        module load Python/3.7.4
        module load clusterappl
        module load slurm-aliases
        ;;
    tetralith* )
        module use "$HOME/.modules.kuba/"
        module load Python/3.6.3-anaconda-5.0.1-nsc1
        module load clusterappl
        ;;
    * )
        if [ -e /usr/share/lmod/lmod/init/profile ]; then
           module use "$HOME/.modules.kuba/"
           module load python-wrap/3
        fi
esac
